Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.util.gui
Class TextAreaWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--cryptix.util.gui.TextAreaWriter

public class TextAreaWriter
extends java.io.Writer

A class that extends Writer to write into a TextArea. Note that the output will not be displayed (i.e. the TextArea repainted) until `flush()` or `close()` is called.

Copyright © 1998 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.1 $

Since:
  Cryptix 3.0.4
Author:
  David Hopwood

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`TextAreaWriter(java.awt.TextArea ta)` Creates a TextAreaWriter for the given TextArea.

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] ca, int offset, int length)`
`void` | `write(String s)`
`void` | `write(String s, int offset, int length)`

Methods inherited from class java.io.Writer
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextAreaWriter

    public TextAreaWriter(java.awt.TextArea ta)

  Creates a TextAreaWriter for the given TextArea.

Method Detail

### write

    public void write(char[] ca,
                      int offset,
                      int length)

  Overrides:
    write in class java.io.Writer

### write

    public void write(String s)

  Overrides:
    write in class java.io.Writer

### write

    public void write(String s,
                      int offset,
                      int length)

  Overrides:
    write in class java.io.Writer

### flush

    public void flush()

  Overrides:
    flush in class java.io.Writer

### close

    public void close()

  Overrides:
    close in class java.io.Writer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.